Subject: building reloctable dll fails in b18
From: [email-masked] (Markus Maier)

26 Jun 1997 07:13:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <v02140b02afd822d353f6.cygnus.gnu-win32@[129.13.149.49]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
Original-To: [email-masked]
Original-Sender: [email-masked]

Hello there,

I tried to build a reloctable dll using the example files in
http://www.cygnus.com/misc/gnu-win32/building-reloc-dlls.txt

First I tried beta17.1 but 'ld' crashes.
With b18 compiling and linking works fine but the application crashes:

bash$ gdb main

GNU gdb 4.16.1
Copyright 1997 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-cygwin32"...
(gdb) r
Starting program: /users/maier/dlltest/main.exe
10000000:/users/maier/dlltest/fooB.dll
warning: LDR: Automatic DLL Relocation in main.exe

warning: LDR: Dll cygwin.dll base 10000000 relocated due to collision with
d:\users\maier\dlltest\fooB.dll

2520000:/win32app/gnuwin/b18/H-i386-cygwin32/bin/cygwin.dll

[failed reading symbols from DLL]
"/WINNT35/system32/kernel32.dll": error reading line numbers

[failed reading symbols from DLL]
"/WINNT35/system32/advapi32.dll": error reading line numbers

77e70000:/WINNT35/system32/USER32.dll
77ed0000:/WINNT35/system32/GDI32.dll
77e20000:/WINNT35/system32/RPCRT4.dll
776c0000:/WINNT35/System32/wsock32.dll

[failed reading symbols from DLL]
"/WINNT35/System32/WS2_32.dll": error reading line numbers

78000000:/WINNT35/system32/MSVCRT.dll

[failed reading symbols from DLL]
"/WINNT35/System32/WS2HELP.dll": error reading line numbers

Program received signal SIGSEGV, Segmentation fault.
0x252bac6 in fhandler_console::is_console ()

I'm using Windows NT4.0 (Service Pack 2).

Any ideas?

--        Markus

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".